package com.lcsi.miacelerometro;

import android.app.Activity;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.TextView;

public class MainActivity extends Activity implements SensorEventListener {

	private SensorManager gestorSensores;

	private LinearLayout arriba;
	private LinearLayout abajo;
	
	private LinearLayout dchaArriba, dchaCentro, dchaAbajo;
	private LinearLayout izdaArriba, izdaCentro, izdaAbajo;
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		arriba = (LinearLayout) findViewById(R.id.arriba);
		abajo = (LinearLayout) findViewById(R.id.abajo);
		
		dchaAbajo = (LinearLayout) findViewById(R.id.dcho_abajo);
		dchaCentro = (LinearLayout) findViewById(R.id.dcho_centro);
		dchaArriba = (LinearLayout) findViewById(R.id.dcho_arriba);
		izdaAbajo = (LinearLayout) findViewById(R.id.izdo_abajo);
		izdaCentro = (LinearLayout) findViewById(R.id.izdo_centro);
		izdaArriba = (LinearLayout) findViewById(R.id.izdo_arriba);
		
		
		SensorManager gestorSensores = (SensorManager) getSystemService(SENSOR_SERVICE);
		Sensor acelerometro = gestorSensores.getDefaultSensor(Sensor.TYPE_ACCELEROMETER);
		gestorSensores.registerListener(this, acelerometro, SensorManager.SENSOR_DELAY_NORMAL);
		
	}
	
	@Override
	public void onSensorChanged(SensorEvent event) {
		// TODO Auto-generated method stub
		
		if (event.sensor.getType()==Sensor.TYPE_ACCELEROMETER)
		{
			float x = event.values[0];
			float y = event.values[1];
			float z = event.values[2];
			
			float maxAcel = 9.8f;
			float maxDelta = 0.5f;
			
			float incY = y*maxDelta/maxAcel;
			float incX = x*maxDelta/maxAcel;
			
			LinearLayout.LayoutParams paramsArriba = new LinearLayout.LayoutParams(LayoutParams.MATCH_PARENT, 0, 1+incY);
			arriba.setLayoutParams(paramsArriba);

			LinearLayout.LayoutParams paramsAbajo = new LinearLayout.LayoutParams(LayoutParams.MATCH_PARENT, 0, 1-incY);
			abajo.setLayoutParams(paramsAbajo);
			
			LinearLayout.LayoutParams paramsDcha = new LinearLayout.LayoutParams(0, LayoutParams.MATCH_PARENT, 1+incX);
			dchaArriba.setLayoutParams(paramsDcha);
			dchaCentro.setLayoutParams(paramsDcha);
			dchaAbajo.setLayoutParams(paramsDcha);
			
			LinearLayout.LayoutParams paramsIzda = new LinearLayout.LayoutParams(0, LayoutParams.MATCH_PARENT, 1-incX);
			izdaArriba.setLayoutParams(paramsIzda);
			izdaCentro.setLayoutParams(paramsIzda);
			izdaAbajo.setLayoutParams(paramsIzda);

		}
	}
	
	@Override
	public void onAccuracyChanged(Sensor sensor, int accuracy) {
		// TODO Auto-generated method stub
		
	}
}
